Summary:        JSON Parser/Constructor for Lua
Name:           lua-json
Version:        1.3.4
Release:        6%{?dist}
License:        MIT
URL:            https://github.com/harningt/luajson
Source0:        https://github.com/harningt/luajson/archive/%{version}/luajson-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  lua >= %{lua_version}, lua-lpeg >= 0.8.1
BuildRequires:  lua-filesystem >= 1.4.1, lua-lunit >= 0.4
Requires:       lua(abi) >= %{lua_version}, lua-lpeg >= 0.8.1

BuildArch:      noarch
 
%description
This package provides a customizable JSON decoder/encoder, using LPEG for parsing.
 
%prep
%autosetup -n luajson-%{version}
 
%build
 
%install
mkdir -p %{buildroot}%{lua_pkgdir}
cp -pr lua/* %{buildroot}%{lua_pkgdir}
 
%check
make check-regression
 
%files
%license LICENSE
%doc docs/LuaJSON.txt docs/ReleaseNotes-1.0.txt
%{lua_pkgdir}/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.4-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.4-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.4-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 23 2023 Wang Guodong <gordonwwang@tencent.com> - 1.3.2-1
- initial build
